﻿using System.ComponentModel;

namespace CarouselProblem
{
    public class OrderViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }

        private string _side;
        public string Side
        {
            get { return _side; }
            set
            {
                if (_side != value)
                {
                    _side = value;
                    OnPropertyChanged("Side");
                }
            }
        }

        private ulong _quantity;
        public ulong Quantity
        {
            get { return _quantity; }
            set
            {
                if (_quantity == value) return;
                _quantity = value;
                OnPropertyChanged("Quantity");
            }
        }

        private decimal _limitPrice;
        public decimal LimitPrice
        {
            get { return _limitPrice; }
            set
            {
                if (_limitPrice == value) return;
                _limitPrice = value;
                OnPropertyChanged("LimitPrice");
            }
        }
    }
}
